> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1occurrence



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.schedule//swagger/v1/swagger.json get /api/v1/Occurrence
openapi: 3.0.0
info:
  title: nds.services.schedule
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.schedule/
security: []
paths:
  /api/v1/Occurrence:
    get:
      tags:
        - Occurrence
      operationId: Occurrence_GetOccurrences
      parameters:
        - name: ids
          in: query
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: guid
          x-position: 1
        - name: start
          in: query
          schema:
            type: string
            format: date-time
          x-position: 2
        - name: end
          in: query
          schema:
            type: string
            format: date-time
          x-position: 3
        - name: includeDeleted
          in: query
          schema:
            type: boolean
          x-position: 4
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOccurrencesResult'
components:
  schemas:
    GetOccurrencesResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Result:
              type: array
              items:
                $ref: '#/components/schemas/OccurrenceResult'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    OccurrenceResult:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Occurrences:
          type: array
          items:
            $ref: '#/components/schemas/Occurrence'
    Occurrence:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: string
          format: date-time
        End:
          type: string
          format: date-time
        RecurrenceId:
          type: string
          format: guid
          nullable: true
        Deleted:
          type: boolean
        Exception:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/RecurrenceException'
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        RecurrenceId:
          type: string
          format: guid
        OriginalTime:
          type: string
          format: date-time
        IsDeleted:
          type: boolean
        NewStart:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newstarttime instead
          nullable: true
        NewEnd:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newendtime instead
          nullable: true
        NewStartTime:
          type: string
          format: date-time
          nullable: true
        NewEndTime:
          type: string
          format: date-time
          nullable: true

````